/*
 * Functions pertaining to serial I/O between the Atmega MCU and the ESP.
 *
 * (C) 2016 General Overnight  <generalovernight.wordpress.com>
 *
 * This is Free Software available under the GNU General Public License (GPL).
 *
 * $Id: serialcomm.h,v 1.1 2016-01-31 08:55:30 manolo Exp $
 */

#ifndef SERIALCOMM_H
#define SERIALCOMM_H

boolean sendUDP(String addr, String port, String data);

boolean sendUDP(String data);

String runATcmd(String command);

String runATcmd(String command, int stripLevel);

boolean runATcmd(String command, char expect[]);

boolean runATcmd(String command, String data, char expect[]);

boolean serialIO(void);


#endif
